Skip to navigation

Create workspace file

View as Markdown
This method adds a file to a workspace.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

folderIdstringRequired
The ID of the folder.
workspaceIdstringRequired
The ID of the workspace.

Response

Successful response.
callerAuthorizationobjectOptional
Provides properties that describe user authorization to a workspace.
contentTypestringOptional
If the item is a file, this property specifies the content type of the file.
createdstringOptional
The UTC DateTime when the workspace item was created.
createdByIdstringOptional
The ID of the user who created the workspace item.
createdByInformationobjectOptional
This object represents the workspace user. This property is only returned in response to user specific GET call.
extensionstringOptional
The file extension of a file item.
fileSizestringOptional
The size of the file in bytes.
fileUristringOptional
The URI for retrieving the file.
idstringOptional
A unique ID for the Salesforce object.
isPublicstringOptional

When true, the item is public.

lastModifiedstringOptional

The UTC date and time that the comment was last updated.

Note: This can only be done by the creator.

lastModifiedByIdstringOptional
The ID of the user who last modified the item.
lastModifiedByInformationobjectOptional
This object represents the workspace user. This property is only returned in response to user specific GET call.
namestringOptional
The name of the file or folder.
pageCountstringOptional
The number of pages in a file.
parentFolderIdstringOptional

The ID of the parent folder, or the special value root for the root folder.

parentFolderUristringOptional
The URI of the parent folder.
sha256stringOptional

A 64-byte, Secure Hash Algorithm 256 (SHA256) checksum that the caller computes across the entirety of the original content of a file. Docusign compares this value to its own computation. If the two values are not equal, the original content and received content are not the same and the upload is refused.

thumbHeightstringOptional
The height of the thumbnail image.
thumbnailobjectOptional
Description of a page of a document.
thumbWidthstringOptional
The width of the thumbnail image.
typestringOptional
The type of the workspace item. Valid values are file, folder.
uristringOptional
A URI containing the user ID.
userAuthorizationobjectOptional
Provides properties that describe user authorization to a workspace.

Errors

400
Bad Request Error